#include<iostream>
#include<cmath>

using namespace std;

int main(void)
{
    int velicinaNatpisa;
    cin>>velicinaNatpisa;
    string natpis;
    cin>>natpis;

    long long int pomocniNiz[26];

    for(int i=0; i<26; ++i)
        pomocniNiz[i]= 0;

    for(int i=0; i < velicinaNatpisa; ++i)
    {
        if(natpis[i] == 'A')
            pomocniNiz[0]++;
        else{
            pomocniNiz[natpis[i]-'A'] += pomocniNiz[natpis[i]-'A'-1];
        }

        pomocniNiz[natpis[i]-'A'] = pomocniNiz[natpis[i]-'A'] % 1000000007;
    }

    cout<<pomocniNiz[25]<<endl;

    return 0;

}